> ## Documentation Index
> Fetch the complete documentation index at: https://docs-docflow.textin.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 删除文件类别表格

> 删除指定的文件类别表格，支持批量删除



## OpenAPI

````yaml /docflow/cn/rest-api/openapi.bundle.yaml post /api/app-api/sip/platform/v2/category/tables/delete
openapi: 3.0.0
info:
  title: DocFlow API
  description: DocFlow REST API，提供文件上传和获取文件处理结果能力
  version: 2.8.4
servers:
  - url: https://docflow.textin.com
security:
  - ApiId: []
    SecretCode: []
paths:
  /api/app-api/sip/platform/v2/category/tables/delete:
    post:
      tags:
        - 文件类别
      summary: 删除文件类别表格
      description: 删除指定的文件类别表格，支持批量删除
      operationId: deleteCategoryTables
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                workspace_id:
                  type: string
                  description: 空间ID
                  example: '1234567890'
                category_id:
                  type: string
                  description: 文件类别ID
                  example: '1234567890'
                table_ids:
                  type: array
                  description: 要删除的表格ID列表
                  items:
                    type: string
                  example:
                    - '1234567890'
                    - 987654321
              required:
                - workspace_id
                - category_id
                - table_ids
      responses:
        '200':
          description: 成功删除文件类别表格
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CodeMessage'
components:
  schemas:
    CodeMessage:
      type: object
      properties:
        code:
          type: integer
          description: 状态码
          example: 200
        msg:
          type: string
          description: 状态描述
      required:
        - code
        - msg
  securitySchemes:
    ApiId:
      type: apiKey
      in: header
      name: x-ti-app-id
    SecretCode:
      type: apiKey
      in: header
      name: x-ti-secret-code

````